Package: org.gradle.jvm

## [Java] Interface JvmBinarySpec

- org.gradle.jvm.JvmBinarySpec

- All Superinterfaces:
    BuildableComponentSpec, Named, Buildable, ModelElement, ComponentSpec, BinarySpec

  Represents a binary artifact that is the result of building a jvm component.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `File` | `getClassesDir()` The classes directory for this binary.
    `File` | `getResourcesDir()` The resources directory for this binary.
    `JavaPlatform` | `getTargetPlatform()` The target platform for this binary.
    `JavaToolChain` | `getToolChain()` Returns the JavaToolChain that will be used to build this binary.
    `void` | `setClassesDir(File classesDir)` Sets the classes directory for this binary.
    `void` | `setResourcesDir(File dir)` Sets the resources directory for this binary.
    `void` | `setTargetPlatform(JavaPlatform platform)` Sets the target platform for this binary.
    `void` | `setToolChain(JavaToolChain toolChain)` Sets the JavaToolChain that will be used to build this binary.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface BinarySpec` | `getInputs, getSources, getTasks, isBuildable`
    `interface BuildableComponentSpec` | `builtBy, getBuildTask, hasBuildDependencies, setBuildTask`
    `interface Buildable` | `getBuildDependencies`
    `interface ComponentSpec` | `getProjectPath`
    `interface ModelElement` | `getDisplayName, getName`
    `interface Named` | `getName`

- - ### Method Detail

    - #### public File getClassesDir()

      The classes directory for this binary.

    - #### public File getResourcesDir()

      The resources directory for this binary.

    - #### @Variant public JavaPlatform getTargetPlatform()

      The target platform for this binary.

    - #### public JavaToolChain getToolChain()

      Returns the JavaToolChain that will be used to build this binary.

    - #### public void setClassesDir(File classesDir)

      Sets the classes directory for this binary.

    - #### public void setResourcesDir(File dir)

      Sets the resources directory for this binary.

    - #### public void setTargetPlatform(JavaPlatform platform)

      Sets the target platform for this binary.

    - #### public void setToolChain(JavaToolChain toolChain)

      Sets the JavaToolChain that will be used to build this binary.